{% extends "base.html" %}
{% import 'bootstrap/wtf.html' as wtf %}
{% from 'macros.html' import form_field %}

{% block app_content %}
    <div class="container">
        <div class="row">
            <h2>添加题目</h2>
            <div class="widget col-md-12">
                <form method="post" enctype="multipart/form-data">
                    {{ form.csrf_token() }}
                    <div class="form-row">
                        <div class="form-group col-md-6">
                            {{ form.problemName.label }}
                            {{ form.problemName(class = 'form-control') }}
                        </div>
                        <div class="form-group col-md-3">
                            {{ form.timeLimitation.label }}
                            <div class="input-group">
                                {{ form.timeLimitation(class = 'form-control') }}
                                <div class="input-group-append">
                                    <span class="input-group-text">S</span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group col-md-3">
                            {{ form.memoryLimitation.label }}
                            <div class="input-group">
                                {{ form.memoryLimitation(class = 'form-control') }}
                                <div class="input-group-append">
                                    <span class="input-group-text">MB</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            {{ form.problemBackground.label }}
                            {{ form.problemBackground(class = 'form-control', rows = '5') }}
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            {{ form.problemDescription.label }}
                            {{ form.problemDescription(class = 'form-control', rows = '5') }}
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            {{ form.problemInput.label }}
                            {{ form.problemInput(class = 'form-control', rows = '5') }}
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            {{ form.problemOutput.label }}
                            {{ form.problemOutput(class = 'form-control', rows = '5') }}
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            {{ form.exampleInput.label }}
                            {{ form.exampleInput(class = 'form-control', rows = '5') }}
                        </div>
                    </div>
                    <div class="form-row">
                        <div class="form-group col-md-12">
                            {{ form.exampleOutput.label }}
                            {{ form.exampleOutput(class = 'form-control', rows = '5') }}
                        </div>
                    </div>
                    <div class="form-row">
                        {{ form_field(form.inputdata) }}
                    </div>
                    <div class="form-row">
                        {{ form_field(form.outputdata) }}
                    </div>
                    <div class="text-center">
                        {{ form.submit(class = 'btn btn-primary') }}
                    </div>
                </form>
            </div>
        </div>
    </div>

{% endblock %}